enchant(); //enchant.jsを使い始めるためのおまじない
window.onload = function() {
    game = new Game(320, 320);
    game.preload('icon0.gif', 'map2.gif');
    game.onload = function() { //ここでゲームを開始する前の準備をする
        //物理世界を創造する
        world = new PhysicsWorld(0.0, 0.0);
        //ボールを置く
        apple = new PhyCircleSprite(16, enchant.box2d.DYNAMIC_SPRITE, 1.0, 0.5, 0.8, true);
        apple.image = new Surface(32, 32);
        apple.image.draw(game.assets['icon0.gif'], 16 * 15, 0, 16, 16, 0, 0, 32, 32);
        apple.position = {
            x: 160,
            y: 160
        };
        game.rootScene.addChild(apple);
        
        // position で apple の中心位置を指定
        // x、y で apple の左上座標を指定
        game.rootScene.addEventListener(Event.TOUCH_END, function(e) {
        });

        game.rootScene.onenterframe = function(e) {
            //物理世界の時間を進める
            world.step(game.fps);
        };
    }
    game.start(); //ゲーム開始
}